﻿@model StarterProjectV2.ViewModels.UserDetailsView

@{
    ViewData["Title"] = "View User Details";
    var myList = Model.GetAllModuleListWithTasks;
}
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link href="assets/css/bootstrap-responsive.css" rel="stylesheet">
@section HEADERJS{
    <script type="text/javascript" src="https://cdn.jsdelivr.net/jquery/1/jquery.min.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
    <style>
        .container {
            position: relative;
            text-align: center;
            color: white;
            width: 128px;
            height: 128px;
        }

        .centered {
            position: absolute;
            top: 90%;
            left: 60%;
            transform: translate(-50%, -50%);
            background-color: gray;
            color: darkblue;
        }
    </style>
}

@section FOOTERJS{
    <script src="~/Content/vendors/js/toastr.min.js"></script>
    <script src="~/Content/vendors/js/coreui.min.js"></script>
}

@section PAGETITLE{
    User Details View
}
    <body style="background-color: oldlace">
        <h2 class="text-center" style="color:indianred">@ViewData["Title"]</h2>

        <div class="card">

            @using (Html.BeginForm("UserDetailsView", "UserDetails", FormMethod.Post))
            {

                <div class="card-body">
                    <div>
                        <div class="container" style="float:right">
                            @{
                                var time = "?" + DateTime.Now.ToString("h:mm:ss tt");
                            }
                            <img id="profile-pic" src="@Url.Content(Model.UserPicturePath + time)" alt="HTML5 Icon" width="128" height="128">
                        </div>
                    </div>
                    <div class="form-group row mb-3">
                        <label class="col-lg-2 col-md-2 col-sm-2 col-form-label" for="text-input">User Name</label>
                        @*<div class="col-lg-3 col-md-4 col-sm-4">
                            @Html.TextBoxFor(m => m.UserName, new { @class = "form-control", placeholder = "Text", id = "text-input", name = "text-input", type = "text", @readonly = "readonly" })
                        </div>*@
                        <div class="col-lg-4 col-md-4 col-sm-4">
                            <p style="padding:5px;border-bottom:1px solid #ccc;font-size:15px;">
                                @Html.DisplayFor(m => m.UserName)
                            </p>
                        </div>

                        <label class="col-lg-2 col-md-2 col-sm-2 col-form-label" for="text-input">User Display Name</label>
                        @*<div class="col-lg-3 col-md-4 col-sm-4 mr-0">
                            @Html.TextBoxFor(m => m.UserDisplayName, new { @class = "form-control", placeholder = "Text", id = "text-input", name = "text-input", type = "text", @readonly = "readonly" })
                        </div>*@
                        <div class="col-lg-4 col-md-4 col-sm-4">
                            <p style="padding:5px;border-bottom:1px solid #ccc;font-size:15px;">
                                @Html.DisplayFor(m => m.UserDisplayName)
                            </p>
                        </div>


                    </div>

                    <div class="form-group row mb-5">
                        <label class="col-lg-2 col-md-2 col-sm-2 col-form-label" for="text-input">User Email</label>

                        <div class="col-lg-4 col-md-4 col-sm-4">
                            <p style="padding:5px;border-bottom:1px solid #ccc;font-size:15px;">
                                @Html.DisplayFor(m => m.UserEmail)
                            </p>
                        </div>

                        <label class="col-lg-2 col-md-2 col-sm-2 col-form-label" for="text-input">User Mobile No</label>

                        <div class="col-lg-4 col-md-4 col-sm-4">
                            <p style="padding:5px;border-bottom:1px solid #ccc;font-size:15px;">
                                @Html.DisplayFor(m => m.UserMobileNumber)
                            </p>
                        </div>
                    </div>
                    <div class="form-group row mb-7">
                        <label class="col-lg-2 col-md-2 col-sm-2 col-form-label ml-3" for="text-input">Role Name</label>


                        <div class="col-lg-3">
                            <p style="padding:5px;border-bottom:1px solid #ccc;font-size:15px;">
                                @Html.DisplayFor(m => m.UserType)
                            </p>
                        </div>


                    </div>

                </div>
                
            }
        </body>

            <script>
                $('.checkbox-parent').change(function () {
                    // Traverse the DOM to get associated child checkbox
                    var $child = $(this).closest('tr').find('.checkbox-child');

                    // Update child state based on checked status
                    $child.prop('disabled', !this.checked);
                });
            </script>


            <script>
                $("#sel1").change(function () {
                    $.getJSON("../Task/gettingTaskList", { moduleId: $("#sel1 option:selected").val() },
                        function (data) {

                            var select = $("#sel2");
                            select.empty();


                            select.append($('<option/>', {
                                value: 0,
                                text: "--"
                            }));


                            $.each(data, function (index, itemData) {

                                select.append($('<option/>', {
                                    value: itemData.Value,
                                    text: itemData.Text
                                }));

                            });
                        });
                });
            </script>


            <script type="text/javascript">
                $(function () {

                    $(".dropdown-item").click(
                        function () {

                            var a = $("#dropdownMenu:first-child").text($(this).text());
                            var b = $("#dropdownMenu:first-child").val($(this).text());

                            var c = $('#dropDownMenu :selected').text();
                            console.log(c);
                        }
                    );

                });

                $(document).ready(function () {
                    $("#newItem").remove();

                    $("#editItem").remove();
                    $("#saveItem").remove();
                    $("#deleteItem").remove();
                    $('#printItem').click(function () {
                        window.print();
                    });

                    $('#reloadItem').click(function () {
                        location.reload();
                    });
                    $("#reportItem").remove();
                    $("#dashboardItem").click(function () {
                        //document.location = 'Url.Action("ExportExcel", "OwnersInfo")';
                    });
                });

            </script>


            <script src="~/Content/vendors/js/jquery.min.js"></script>
            <script src="~/Content/vendors/js/popper.min.js"></script>
            <script src="~/Content/vendors/js/bootstrap.min.js"></script>
            <script src="~/Content/vendors/js/pace.min.js"></script>
            <script src="~/Content/vendors/js/toastr.min.js"></script>
            <script src="~/Content/vendors/js/perfect-scrollbar.min.js"></script>
            <script src="~/Content/vendors/js/coreui.min.js"></script>
